Rysunek Roboczy: Łącznik kształtów

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Facebinder and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Facebinder.svg Rysunek Roboczy: Łącznik kształtów

Lokalizacja w menu
Kreślenie → Łącznik kształtu
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
F F
Wprowadzono w wersji
0.14
Zobacz także
brak

Opis

Polecenie Draft Facebinder.svg Łącznik kształtów tworzy obiekt powierzchniowy z wybranych ścian. Łącznik kształtów jest parametryczny, będzie się aktualizował jeśli zmodyfikujesz jego obiekt źródłowy (lub obiekty źródłowe).

Można go użyć do utworzenia wyciągnięcia z kolekcji powierzchni. Takie wytłoczenie może na przykład reprezentować wykończenie ściany w projekcie architektonicznym.

Draft facebinder example.jpg

Łącznik kształtu stworzony z powierzchni ścian

Użycie

  1. Wybierz jedną lub więcej ścian.
  2. Istnieje kilka sposobów na wywołanie tego polecenia:

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt Łącznik kształtu wywodzi się z obiektu Część: Cecha i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Rysunek Roboczy

  • DANEPowierzchnia: (tylko do odczytu): określa całkowitą powierzchnię połączonych powierzchni w elemencie wiążącym.
  • DANEWyciągnięcie: określa grubość wyciągnięcia w elemencie wiążącym.
  • DANEŚciany: określa grubość wyciągnięć w elemencie wiążącym.
  • DANEOdsunięcie: określa odległość, jaka ma być zastosowana między elementem łączącym a oryginalnymi powierzchniami przed wyciągnięciem.
  • DANEUsuń rozdzielenie: Określa, czy usuwać linie podziału, które dzielą współpłaszczyznowe powierzchnie.
  • DANEZszyj: Określa, czy wykonywać operację zespolenia topologicznego na elemencie wiążącym.

Widok

Rysunek Roboczy

  • WIDOKWzór: określa wzór, którym ma być wypełniona powierzchnia w elemencie wiążącym. Ta właściwość działa tylko wtedy, gdy DANEUtwórz ścianę ma wartość true i gdy WIDOKTryb wyświetlania ma wartość Linie płaskie.
  • WIDOKRozmiar wzoru: określa rozmiar wzoru.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Aby utworzyć Łącznik kształtu użyj metody make_facebinder modułu Rysunek Roboczy (dostępne w wersji 0.19). Ta metoda zastępuje przestarzałą metodę makeFacebinder.

facebinder = make_facebinder(selectionset)
  • Tworzy obiekt facebinder z podanego selectionset, który jest listą SelectionObject zwróconą przez FreeCADGui.Selection.getSelectionEx(). Pod uwagę brane są tylko wybrane powierzchnie.
    • selectionset może być również PropertyLinkSubList.

Lista PropertyLinkSubList jest listą krotek; każda krotka zawiera jako pierwszy element object, a jako drugi element listę (lub krotkę) łańcuchów; łańcuchy te wskazują nazwy elementów podrzędnych (powierzchni) tego obiektu.

PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

Grubość obiektu Łącznika kształtu może być dodana poprzez nadpisanie jego atrybutu Extrusion, wartość jest wprowadzana w milimetrach.

Umiejscowienie elementu Łącznika kształtu można zmienić, nadpisując jego atrybut Placement lub indywidualnie nadpisując jego atrybuty Placement.Base i Placement.Rotation.

Przykład:

import FreeCAD as App
import FreeCADGui as Gui
import Draft

doc = App.newDocument()

# Insert a solid box
box = doc.addObject("Part::Box", "Box")
box.Length = 2300
box.Width = 800
box.Height = 1000

# selection = Gui.Selection.getSelectionEx()
selection = [(box, ("Face1", "Face6"))]
facebinder = Draft.make_facebinder(selection)
facebinder.Extrusion = 50

doc.recompute()

facebinder.Placement.Base = App.Vector(1000, -1000, 100)
facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)

doc.recompute()